--- modules/gui/wxwindows/open.cpp.orig	Sat Nov  6 11:35:24 2004
+++ modules/gui/wxwindows/open.cpp	Sun May 15 17:55:56 2005
@@ -389,8 +389,7 @@
     wxStaticText *mrl_label = new wxStaticText( panel, -1,
                                                 wxU(_("Open:")) );
     mrl_combo = new wxComboBox( panel, MRL_Event, wxT(""),
-                                wxPoint(20,25), wxSize(120, -1),
-                                0, NULL );
+                                wxPoint(20,25), wxSize(120, -1) );
     mrl_combo->SetToolTip( wxU(_("You can use this field directly by typing "
         "the full MRL you want to open.\n""Alternatively, the field will be "
         "filled automatically when you use the controls below.")) );
@@ -460,8 +459,9 @@
 
     /* Create notebook */
     notebook = new wxNotebook( panel, Notebook_Event );
+#if (!wxCHECK_VERSION(2,5,0))
     wxNotebookSizer *notebook_sizer = new wxNotebookSizer( notebook );
-
+#endif
     notebook->AddPage( FilePanel( notebook ), wxU(_("File")),
                        i_access_method == FILE_ACCESS );
     notebook->AddPage( DiscPanel( notebook ), wxU(_("Disc")),
@@ -530,7 +530,11 @@
     wxBoxSizer *panel_sizer = new wxBoxSizer( wxVERTICAL );
     panel_sizer->Add( mrl_sizer_sizer, 0, wxEXPAND, 5 );
     panel_sizer->Add( label, 0, wxEXPAND | wxALL, 5 );
-    panel_sizer->Add( notebook_sizer, 1, wxEXPAND | wxALL, 5 );
+#if (!wxCHECK_VERSION(2,5,0))
+    panel_sizer->Add( notebook_sizer, 1, wxEXPAND | wxALL, 5 ); 
+#else
+    panel_sizer->Add( notebook, 1, wxEXPAND | wxALL, 5 );
+#endif
     panel_sizer->Add( common_opt_sizer, 0, wxALIGN_LEFT | wxALL, 5 );
     panel_sizer->Add( static_line, 0, wxEXPAND | wxALL, 5 );
     panel_sizer->Add( button_sizer, 0, wxALIGN_LEFT | wxALL, 5 );
@@ -581,7 +585,7 @@
     wxBoxSizer *file_sizer = new wxBoxSizer( wxHORIZONTAL );
 
     file_combo = new wxComboBox( panel, FileName_Event, wxT(""),
-                                 wxPoint(20,25), wxSize(200, -1), 0, NULL );
+                                 wxPoint(20,25), wxSize(200, -1) );
     wxButton *browse_button = new wxButton( panel, FileBrowse_Event,
                                             wxU(_("Browse...")) );
     file_sizer->Add( file_combo, 1, wxALL, 5 );
